FROM ubuntu:18.04

ENV DEBIAN_FRONTEND=noninteractive

RUN apt-get clean && apt-get update && apt-get upgrade -y
RUN apt-get install gfortran openmpi-common openmpi-bin libopenmpi-dev libblacs-mpi-dev libnetcdf-dev \
            netcdf-bin libnetcdff-dev libscalapack-mpi-dev libblas-dev liblapack-dev libfftw3-dev -y
RUN apt-get install ssh wget -y

WORKDIR /opt
RUN mkdir -p /opt/siesta_build
ADD siesta-build.sh ./
RUN ./siesta-build.sh

RUN wget https://launchpad.net/siesta/4.1/4.1-b4/+download/siesta-4.1-b4.tar.gz
RUN tar -xzvf siesta-4.1-b4.tar.gz

#Building Siesta application
WORKDIR /opt/siesta-4.1-b4/Obj
RUN sh ../Src/obj_setup.sh
ADD arch.make ./
RUN make

#build additional Utils
WORKDIR /opt/siesta-4.1-b4/Util/Denchar/Src
RUN make

RUN rm -f /opt/siesta-4.1-b4.tar.gz
RUN rm -rf /opt/siesta_build

#move executables into system folders
RUN cp /opt/siesta-4.1-b4/Util/Denchar/Src/denchar /usr/bin/denchar
RUN cp /opt/siesta-4.1-b4/Obj/siesta /usr/bin/siesta
WORKDIR /root/
